Get the list of payout methods available for your payout.
Send this request providing, at the very least, the brand_id and currency query parameters having the same values you'd use to create your Payout. Be sure to use the same API key you'll create your Payout with; it will define the test_mode setting used in the lookup.
In the response body you'll receive an object with available_payout_methods property containing the list of payout method names available to use with your Payout (e.g. those codes can be used in payout_method_whitelist field).
Please note that all lookup arguments must be provided via query parameters after the endpoint, e.g. the minimal call would be similar to: GET /api/v1/payout_methods/?brand_id=75a76529-91c7-4d98-90a9-8a641d70ee52¤cy=EUR
ApiKeyAuthorizationBearer <token>Your API key from the Developers section of your account, sent as a bearer token.
brand_id*stringWhich brand would you like to lookup the available payout methods for. Use the same value (UUID) you'd set the Payout.brand_id to.
currency*stringCurrency you'd use in your Payout in ISO 4217 format, e.g. EUR.
language?stringLanguage code in the ISO 639-1 format (e.g. 'en'). Optional.
OK
application/json- response
available_payout_methods?array<>names?Human-readable names of payout methods as returned by available_payout_methods property.
logos?Mapping of payout method names to respective logo file paths (relative to the hostname of API host). Some methods can be displayed as an array of logos.
card_methods?array<>curl -X GET 'https://gate.reviopay.com/api/v1/payout_methods/?brand_id=string¤cy=string'{ "available_payout_methods": [ "visa", "mastercard", "some_method" ], "names": { "visa": "Visa", "mastercard": "Mastercard", "some_method": "Some method" }, "logos": { "some_method": [ "/static/images/icon-visa.svg", "/static/images/icon-mastercard.svg", "/static/images/icon-maestro.svg" ], "visa": "/static/images/icon-visa.svg", "mastercard": "/static/images/icon-mastercard.svg" }, "card_methods": [ "american_express", "visa" ]}